- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# FbxAnimCurveFilterTSS Class Reference

Search for all occurrences

## Detailed Description

Time shift and scale filter.

Filter to shift key times and scale key values on animation curves.

Definition at line 880 of file fbxanimcurvefilters.h.

`#include <fbxanimcurvefilters.h>`

Inheritance diagram for FbxAnimCurveFilterTSS:
[legend]

List of all members.

## Public Member Functions
| FbxAnimCurveFilterTSS ()
| Constructor.
virtual | ~FbxAnimCurveFilterTSS ()
| Destructor.
virtual const char * | GetName () const
| Get the name of the filter.
virtual bool | Apply (FbxAnimCurve &pCurve)
| Apply filter on an animation curve.
virtual void | Reset ()
| Reset the filter to its default parameters.
FbxTime | GetShift () const
| Get the time shift value.
void | SetShift (FbxTime &pShift)
| Set the time shift value.
double | GetScale () const
| Get the scale factor.
void | SetScale (double pScale)
| Set the scale factor.
## Exposed parent class methods.
virtual bool | Apply (FbxAnimStack *pAnimStack)
| Apply filter to all the curves stored in the animation stack.
virtual bool | Apply (FbxObject *pObj, FbxAnimStack *pAnimStack)
| Apply filter to all the animated properties of the object.
virtual bool | Apply (FbxAnimCurveNode &pCurveNode)
| Apply filter on all the curves of an animation curve node.
virtual bool | Apply (FbxAnimCurve **pCurve, int pCount)
| Apply filter on an array of animation curves.

## Constructor & Destructor Documentation

FbxAnimCurveFilterTSS | ( |  | ) |

Constructor.

virtual ~FbxAnimCurveFilterTSS | ( |  | ) | `[inline, virtual]`

Destructor.

Definition at line 887 of file fbxanimcurvefilters.h.

    {};

## Member Function Documentation

virtual const char* GetName | ( |  | ) | const `[virtual]`

Search for all occurrences

Get the name of the filter.

Returns:
  Pointer to name.

Reimplemented from FbxAnimCurveFilter.

virtual bool Apply | ( | FbxAnimStack * | pAnimStack | ) | `[inline, virtual]`

Search for all occurrences

Apply filter to all the curves stored in the animation stack.

Parameters:

  pAnimStack | Animation stack where to retrieve the animation curves

Returns:
  `true` if the curve filtering operation was successful, `false` otherwise.

Reimplemented from FbxAnimCurveFilter.

Definition at line 898 of file fbxanimcurvefilters.h.

    { return FbxAnimCurveFilter::Apply(pAnimStack); }

virtual bool Apply | ( | FbxObject * | pObj,
|  | FbxAnimStack * | pAnimStack
| ) |  | `[inline, virtual]`

Search for all occurrences

Apply filter to all the animated properties of the object.

Parameters:

  pObj | Object containing the animated properties to which the filter is applied.
  pAnimStack | Animation stack where to retrieve the animation curves

Returns:
  `true` if the curve filtering operation was successful, `false` otherwise.

Reimplemented from FbxAnimCurveFilter.

Definition at line 899 of file fbxanimcurvefilters.h.

    { return FbxAnimCurveFilter::Apply(pObj, pAnimStack); }

virtual bool Apply | ( | FbxAnimCurveNode & | pCurveNode | ) | `[inline, virtual]`

Search for all occurrences

Apply filter on all the curves of an animation curve node.

Parameters:

  pCurveNode | Curve node to which the filter is applied.

Returns:
  `true` if the curve filtering operation was successful, `false` otherwise.

Remarks:
  This method collects all the FbxAnimCurve objects connected to the curve node and calls Apply(FbxAnimCurve**, int)

Reimplemented from FbxAnimCurveFilter.

Definition at line 900 of file fbxanimcurvefilters.h.

    { return FbxAnimCurveFilter::Apply(pCurveNode); }

virtual bool Apply | ( | FbxAnimCurve ** | pCurve,
|  | int | pCount
| ) |  | `[inline, virtual]`

Search for all occurrences

Apply filter on an array of animation curves.

Parameters:

  pCurve | Array of curves to which the filter is applied.
  pCount | Number of curves in the array.

Returns:
  `true` if the curve filtering operation was successful, `false` otherwise.

Reimplemented from FbxAnimCurveFilter.

Definition at line 901 of file fbxanimcurvefilters.h.

    { return FbxAnimCurveFilter::Apply(pCurve, pCount); }

virtual bool Apply | ( | FbxAnimCurve & | pCurve | ) | `[virtual]`

Search for all occurrences

Apply filter on an animation curve.

Parameters:

  pCurve | Curve to which the filter is applied.

Returns:
  `true` if the curve filtering operation was successful, `false` otherwise.

Implements FbxAnimCurveFilter.

virtual void Reset | ( |  | ) | `[virtual]`

Search for all occurrences

Reset the filter to its default parameters.

Reimplemented from FbxAnimCurveFilter.

FbxTime GetShift | ( |  | ) | const

Search for all occurrences

Get the time shift value.

Returns:
  The time value used for the shift.

void SetShift | ( | FbxTime & | pShift | ) |

Search for all occurrences

Set the time shift value.

Parameters:

  pShift | The time value used for the shift.

double GetScale | ( |  | ) | const

Search for all occurrences

Get the scale factor.

Returns:
  The current scale factor.

void SetScale | ( | double | pScale | ) |

Search for all occurrences

Set the scale factor.

Parameters:

  pScale | The new scale factor to set.

The documentation for this class was generated from the following file:

- fbxsdk/scene/animation/fbxanimcurvefilters.h

FbxAnimCurveFilterTSS FbxAnimCurveFilterTSS FbxAnimCurveFilterTSS FbxAnimCurveFilterTSS FbxAnimCurveFilterTSS FbxAnimCurveFilterTSS FbxAnimCurveFilterTSS FbxAnimCurveFilterTSS FbxAnimCurveFilterTSS FbxAnimCurveFilterTSS
FbxAnimCurveFilterTSS FbxAnimCurveFilterTSS FbxAnimCurveFilterTSS FbxAnimCurveFilterTSS FbxAnimCurveFilterTSS FbxAnimCurveFilterTSS FbxAnimCurveFilterTSS FbxAnimCurveFilterTSS FbxAnimCurveFilterTSS FbxAnimCurveFilterTSS